program YODA ;
var sa:array [1..200] of string;
    s,s1,t,t1:string;
    i,j,n,b,z,x:integer;
begin
 readln(s);
 s1:=s;
 n:=length(s);
 i:=0;
 while i<>n do begin
  s1[n-i]:=s[1+i];
  i:=i+1;
 end;
 s:=s1+' ';
 s1:=s;
 i:=0;
 repeat
  i:=i+1;
  x:=pos(' ',s1);
  sa[i]:=copy(s1,1,x);
  delete(s1,1,x);
 until s1='';
 FOR J:=1 TO I DO BEGIN
  T:=SA[J];
  N:=LENGTH(SA[J]);
  Z:=0;
  WHILE Z<>N DO BEGIN
   SA[J][N-Z]:=T[1+Z];
   Z:=Z+1;
  END;
 END;
 s:='';
 FOR J:=1 TO I DO
  s:=s+sa[j];
 delete(s,1,1);
 writeln(s);
END.
